clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ento::CheckerRegistry::CheckerInfo Struct Reference

`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`

Collaboration diagram for clang::ento::CheckerRegistry::CheckerInfo:
[legend]

## Public Member Functions
| CheckerInfo (InitializationFunction Fn, StringRef Name, StringRef Desc, StringRef DocsUri)

## Public Attributes
InitializationFunction | Initialize
StringRef | FullName
StringRef | Desc
StringRef | DocumentationUri

## Detailed Description

Definition at line 90 of file CheckerRegistry.h.

## Constructor & Destructor Documentation

## ◆ CheckerInfo()

clang::ento::CheckerRegistry::CheckerInfo::CheckerInfo | ( | InitializationFunction | Fn,
|  | StringRef | Name,
|  | StringRef | Desc,
|  | StringRef | DocsUri
| ) |  |
| inline

Definition at line 96 of file CheckerRegistry.h.

## Member Data Documentation

## ◆ Desc

StringRef clang::ento::CheckerRegistry::CheckerInfo::Desc

Definition at line 93 of file CheckerRegistry.h.

## ◆ DocumentationUri

StringRef clang::ento::CheckerRegistry::CheckerInfo::DocumentationUri

Definition at line 94 of file CheckerRegistry.h.

## ◆ FullName

StringRef clang::ento::CheckerRegistry::CheckerInfo::FullName

Definition at line 92 of file CheckerRegistry.h.

## ◆ Initialize

InitializationFunction clang::ento::CheckerRegistry::CheckerInfo::Initialize

Definition at line 91 of file CheckerRegistry.h.

The documentation for this struct was generated from the following file:

- include/clang/StaticAnalyzer/Frontend/CheckerRegistry.h